# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rb-grib"
  s.version = "0.2.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Seiya Nishizawa"]
  s.date = "2012-03-09"
  s.description = "This class library enable you to handle GRIB file."
  s.email = ["seiya@gfd-dennou.org"]
  s.extensions = ["ext/extconf.rb"]
  s.files = [".gitignore", "BSDL", "Gemfile", "LICENSE.txt", "README.rdoc", "Rakefile", "data/regular_gaussian_model_level.grib1", "data/regular_gaussian_model_level.grib2", "data/regular_gaussian_pressure_level.grib1", "data/regular_gaussian_pressure_level.grib2", "data/regular_gaussian_pressure_level_constant.grib1", "data/regular_gaussian_pressure_level_constant.grib2", "data/regular_gaussian_surface.grib1", "data/regular_gaussian_surface.grib2", "data/regular_latlon_surface.grib1", "data/regular_latlon_surface.grib2", "data/regular_latlon_surface_constant.grib1", "data/regular_latlon_surface_constant.grib2", "data/regular_latlon_surface_prec.grib1", "data/tp_ecmwf.grib", "ext/extconf.rb", "ext/grib.c", "lib/numru/grib.rb", "lib/numru/grib/definitions/grib1/localConcepts/kwbc/name.def", "lib/numru/grib/definitions/grib1/localConcepts/kwbc/paramId.def", "lib/numru/grib/definitions/grib1/localConcepts/kwbc/shortName.def", "lib/numru/grib/definitions/grib1/localConcepts/kwbc/units.def", "lib/numru/grib/definitions/grib2/localConcepts/rjtd/name.def", "lib/numru/grib/definitions/grib2/localConcepts/rjtd/paramId.def", "lib/numru/grib/definitions/grib2/localConcepts/rjtd/shortName.def", "lib/numru/grib/definitions/grib2/localConcepts/rjtd/units.def", "lib/numru/grib/grib.rb", "lib/numru/grib/setenv.rb", "lib/numru/grib/version.rb", "rb-grib.gemspec", "spec/grib_read_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "http://ruby.gfd-dennou.org/products/rb-grib/"
  s.require_paths = ["lib"]
  s.rubyforge_project = "rb-grib"
  s.rubygems_version = "1.8.23"
  s.summary = "Ruby class library to hanlde GRIB file"
  s.test_files = ["spec/grib_read_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_runtime_dependency(%q<narray>, [">= 0"])
      s.add_runtime_dependency(%q<narray_miss>, [">= 0"])
    else
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<narray>, [">= 0"])
      s.add_dependency(%q<narray_miss>, [">= 0"])
    end
  else
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<narray>, [">= 0"])
    s.add_dependency(%q<narray_miss>, [">= 0"])
  end
end
